Subject: [MSEC] Key Management protocol (GDOI - 6407) forward

From: "Herb Falk <[email-masked]>" <[email-masked]>
Date: Fri, 27 Sep 2013 02:15:06 +0000

IEC TC57 WG10 (61850) and IEC TC57 WG15 (Security) has been developing a technology/standard for use as a secure multicast for its use in power grid applications using synchrophasors and other technologies relevant to smartgrid deployments globally.

As part of the effort, some extensions to GDOI were identified.  The 6407 draft incorporates and improves some of the enhancements already identified.  IEC TC57 WG15 is waiting for the draft RFC to transition to an RFC so it can be referenced as a normative standard in IEC 62351-9.

There are several utility vendors and utilities, in particular SCE (Southern California Edison), that are awaiting this transition so that their cyber security frameworks can be updated.  Delays in the transition from draft to RFC will delay implementation of several projects and implementations.

Herbert Falk
Solutions Architect
SISCO, INC.
6605 19 ½ Mile Rd.
Sterling Heights, MI 48314
(586) 254-0020 x-105

"In matters of style, swim with the current;   in matters of principle, stand like a rock." [Thomas Jefferson]

NOTICE: This communication may contain privileged or other confidential information. If you are not the intended recipient, or believe that you have  received this communication in error, please do not print, copy, retransmit,  disseminate, or otherwise use the information. Also,  please indicate to the sender that you have received this communication in error, and delete the copy you received. Thank you.

________________________________

---

From: Yoav Nir <[email-masked]>
Date: Fri, 27 Sep 2013 17:18:49 +0000

Hi

Just to be clear, there is no such thing as a "draft RFC". Drafts become RFCs, at which point they're done. You may be referring to the fact that RFC 6407 is labeled "proposed standard". This is a label that the IETF attaches to documents for which there is relatively little implementation experience. The label is not automatically changed after a while. Even things that are widely implemented and used by millions such as IKEv2 (RFC 5996), IPsec (RFC 4301), TLS (RFC 5246), and HTTP (RFC 2616), without a doubt the most popular protocol on the Internet) is at "draft standard" - a classification that does not exist any more, but was below "full standard".

I'm adding Sean Turner, the Security Area Director, because he's been handling many similar requests recently.

Hope this helps

Yoav

On Sep 27, 2013, at 5:15 AM, Herb Falk <[email-masked]<mailto:[email-masked]>> <[email-masked]<mailto:[email-masked]>> wrote:

Herbert Falk
Solutions Architect
SISCO, INC.
6605 19 ½ Mile Rd.

________________________________
_______________________________________________
MSEC mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/msec

---

From: William Atwood <[email-masked]>
Date: Fri, 27 Sep 2013 16:01:53 -0400

Actually, he is probably referring to the "6407 update draft", which is
draft-weis-gdoi-iec62351-9-02.  This is an update to 6407 precisely to
serve the IEC needs.  I suspect that the email is a plea for fast action
on progressing draft-weis to RFC.

  Bill

On 27/09/2013 1:18 PM, Yoav Nir wrote:
> Hi 
>
> Just to be clear, there is no such thing as a "draft RFC". Drafts
> become RFCs, at which point they're done. You may be referring to the
> fact that RFC 6407 is labeled "proposed standard". This is a label
> that the IETF attaches to documents for which there is relatively
> little implementation experience. The label is not automatically
> changed after a while. Even things that are widely implemented and
> used by millions such as IKEv2 (RFC 5996), IPsec (RFC 4301), TLS (RFC
> 5246), and HTTP (RFC 2616), without a doubt the most popular protocol
> on the Internet) is at "draft standard" - a classification that does
> not exist any more, but was below "full standard".
>
> On Sep 27, 2013, at 5:15 AM, Herb Falk <[email-masked]
> <mailto:[email-masked]>> <[email-masked]
> <mailto:[email-masked]>> wrote:
>
>> IEC TC57 WG10 (61850) and IEC TC57 WG15 (Security) has been
>> developing a technology/standard for use as a secure multicast for
>> its use in power grid applications using synchrophasors and other
>> technologies relevant to smartgrid deployments globally.
>>  
>> As part of the effort, some extensions to GDOI were identified.  The
>> 6407 draft incorporates and improves some of the enhancements already
>> identified.  IEC TC57 WG15 is waiting for the draft RFC to transition
>> to an RFC so it can be referenced as a normative standard in IEC 62351-9.
>>  
>> There are several utility vendors and utilities, in particular SCE
>> (Southern California Edison), that are awaiting this transition so
>> that their cyber security frameworks can be updated.  Delays in the
>> transition from draft to RFC will delay implementation of several
>> projects and implementations.
>>  
>>  
>>  
>>  
>>  
>> Herbert Falk
>> Solutions Architect
>> SISCO, INC.
>> 6605 19 ½ Mile Rd.
>> "In matters of style, swim with the current;   in matters of
>> principle, stand like a rock." [Thomas Jefferson]
>>  
>>  
>> NOTICE: This communication may contain privileged or other
>> confidential information. If you are not the intended recipient, or
>> believe that you have  received this communication in error, please
>> do not print, copy, retransmit,  disseminate, or otherwise use the
>> information. Also,  please indicate to the sender that you have
>> received this communication in error, and delete the copy you
>> received. Thank you.
>>  
>> ------------------------------------------------------------------------
>> [email-masked] <mailto:[email-masked]>
> [email-masked]

-- 
Dr. J.W. Atwood, Eng.             tel:   +1 (514) 848-2424 x3046
Distinguished Professor Emeritus  fax:   +1 (514) 848-2830
Department of Computer Science
   and Software Engineering
Concordia University EV 3.185     email:[email-masked]
1455 de Maisonneuve Blvd. West    http://users.encs.concordia.ca/~bill
Montreal, Quebec Canada H3G 1M8

---

From: Paul Lambert <[email-masked]>
Date: Fri, 27 Sep 2013 14:52:43 -0700

Good to see such applications.  What encapsulation mode is specified for this multicast service?   Just curious since I have other industry requirements that are very similar and need better multicast security.

Thanks in advance,

Paul

Herbert Falk
Solutions Architect
SISCO, INC.
6605 19 1Ž2 Mile Rd.

---

From: Sean Turner <[email-masked]>
Date: Mon, 30 Sep 2013 11:26:04 -0400

For the record Brian has approached me about AD-sponsoring 
draft-weis-gdoi-iec62351-9-02.  I don't think it's actually an update of 
6407 it's more of here's how IEC 62351 would use RFC 6407.

After talking with Brian in Berlin, I have but one dilemma AD-sponsoring 
such a draft is that it is intended for proposed standard and as best I 
can tell there's been one review (thanks Steffan).  Knowing that the 
msec community in the IETF is pretty small this might be a tall order, 
but is there anybody else out there will to give it a review?  (cough, 
hint) Yoav, Vincent :)

spt

On 9/27/13 4:01 PM, William Atwood wrote:
>>> believe that you have received this communication in error, please do
>>> not print, copy, retransmit,  disseminate, or otherwise use the
> Concordia University EV 3.185email:[email-masked]
> 1455 de Maisonneuve Blvd. Westhttp://users.encs.concordia.ca/~bill

---

From: Yoav Nir <[email-masked]>
Date: Mon, 30 Sep 2013 15:52:43 +0000

I could, I guess.

Does it matter if prior to reading it I have never heard of IEC 62351-9 in particular, or IEC in general?

Yoav

On Sep 30, 2013, at 6:26 PM, Sean Turner <[email-masked]> wrote:

> For the record Brian has approached me about AD-sponsoring draft-weis-gdoi-iec62351-9-02.  I don't think it's actually an update of 6407 it's more of here's how IEC 62351 would use RFC 6407.
> 
> After talking with Brian in Berlin, I have but one dilemma AD-sponsoring such a draft is that it is intended for proposed standard and as best I can tell there's been one review (thanks Steffan).  Knowing that the msec community in the IETF is pretty small this might be a tall order, but is there anybody else out there will to give it a review?  (cough, hint) Yoav, Vincent :)
> 
> spt
> 
> Email secured by Check Point

---

From: Sean Turner <[email-masked]>
Date: Mon, 30 Sep 2013 12:01:35 -0400

IEC is usually paired with ISO ;)  There's the rub right - I read it and 
was like sure I take your word Brian.  I think that you could treat it 
kind of like a secdir review and that would be sufficient for me.

spt

---

From: Yoav Nir <[email-masked]>
Date: Mon, 30 Sep 2013 16:14:15 +0000

OK, I'll do it. 

At the latest, on the 20-hour journey to Vancouver. Hopefully earlier.

Yoav

On Sep 30, 2013, at 7:01 PM, Sean Turner <[email-masked]> wrote:

> IEC is usually paired with ISO ;)  There's the rub right - I read it and was like sure I take your word Brian.  I think that you could treat it kind of like a secdir review and that would be sufficient for me.
> 
> spt
>

---

From: Sean Turner <[email-masked]>
Date: Mon, 30 Sep 2013 16:09:16 -0400

And I'll get you out of a secdir review in exchange - once it's done of 
course ;)

spt